<template>
  <li :class="{ active }">
    <template v-if="href">
      <a :href="href">
        <!-- @slot Link text -->
        <slot></slot>
      </a>
    </template>
    <template v-else>
      <slot></slot>
    </template>
  </li>
</template>

<script>
export default {
  name: 'SaNavItem',
  props: {
    /** Highlight the currently active nav item */
    active: {
      type: Boolean,
      default: false
    },
    /** Wrap nav-item with a link pointing to this URL */
    href: {
      type: String,
      default: ''
    }
  }
}
</script>
